From: Sebastian Schuberth <sschuberth@gmail.com>
To: git@vger.kernel.org
Cc: David Aguilar <davvid@gmail.com>
Subject: [PATCHv2] Make difftool.prompt fall back to mergetool.prompt
Date: Fri, 22 Jan 2010 17:36:36 +0100 [thread overview]
Message-ID: <4B59D414.4020507@gmail.com> (raw)
The documentation states that "git-difftool falls back to git-mergetool
config variables when the difftool equivalents have not been defined".
Until now, this was not the case for "difftool.prompt".
Signed-off-by: Sebastian Schuberth <sschuberth@gmail.com>
---
git-difftool--helper.sh | 3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)
diff --git a/git-difftool--helper.sh b/git-difftool--helper.sh
index 57e8e32..3438aba 100755
--- a/git-difftool--helper.sh
+++ b/git-difftool--helper.sh
@@ -12,7 +12,8 @@ TOOL_MODE=diff
# difftool.prompt controls the default prompt/no-prompt behavior
# and is overridden with $GIT_DIFFTOOL*_PROMPT.
should_prompt () {
- prompt=$(git config --bool difftool.prompt || echo true)
+ prompt_merge=$(git config --bool mergetool.prompt || echo true)
+ prompt=$(git config --bool difftool.prompt || echo $prompt_merge)
if test "$prompt" = true; then
test -z "$GIT_DIFFTOOL_NO_PROMPT"
else
--
1.6.6.265.ga0f40
next reply other threads:[~2010-01-22 16:37 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2010-01-22 16:36 Sebastian Schuberth [this message]
[not found] ` <7vr5pivx70.fsf@alter.siamese.dyndns.org>
2010-01-22 21:24 ` [PATCHv2] Make difftool.prompt fall back to mergetool.prompt David Aguilar
2010-01-22 23:31 ` Sebastian Schuberth
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=4B59D414.4020507@gmail.com \
--to=sschuberth@gmail.com \
--cc=davvid@gmail.com \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.